Get consent preferences for a user
Get consent preferences for a user at https://consent.transcend.io or https://consent.us.transcend.io. N.B. This is not a Sombra route. Authenticate with a signed JWT that carries identifier name/value pairs (preferred) or the deprecated single encryptedIdentifier. See reference for details.
partition*stringThe consent partition or bundle ID. You can find the partition value under Consent Management > Developer Settings. If this value is not set, please use your bundle ID.
Returns confirmed consent preferences for this user
application/json- response
purposes*Consent purposes to update
confirmed*booleanWas tracking consent confirmed by the user? If this is false, the consent was resolved from defaults & is not yet confirmed
timestamp*stringTimestamp of when consent was collected
updated?booleanHas the consent been updated (including no-change confirmation) since default resolution
prompted?booleanWhether or not the UI has been shown to the end-user (undefined in older versions of airgap.js)
usp?stringUS Privacy (USP) String
tcf?stringIAB Transparency & Consent Framework (TCF) 2.0 consent metadata
curl -X GET 'https://multi-tenant.sombra.transcend.io/sync?partition=string' \ -H 'Authorization: string'{ "purposes": { "TestPurpose": false }, "confirmed": true, "timestamp": "2023-05-11T19:32:31.707Z"}